﻿Public Class Form1

    Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        LoadActiveReports()

    End Sub

    Public Function GetFilePath(FileName As String) As String

        Dim path As String = Application.StartupPath
        Dim pos As Integer = path.IndexOf("\bin")
        path = path.Substring(0, pos) & "\" & FileName

        Return path

    End Function

    Sub LoadActiveReports()

        'Create Instanance of AR 7 Section Report
        Dim _rpt As New Report()

        _rpt.Run()

        Viewer1.Document = _rpt.Document

    End Sub

    Sub LoadC1Reports()
        ' load report definition (before setting the data source)

        C1Report1.Load(GetFilePath("Report.xml"), "Products Report")

        ' Set the XSD DataSource
        C1Report1.DataSource.ConnectionString = GetFilePath("NWINDDataSet.xsd")



        '  Fill the dataset

        Dim da As NWINDDataSetTableAdapters.ProductsTableAdapter = New XSD_DataSource.NWINDDataSetTableAdapters.ProductsTableAdapter()
        da.Fill(NwindDataSet1.Products)
        C1Report1.DataSource.Recordset = NwindDataSet1.Products
        C1PrintPreviewControl1.Document = C1Report1
    End Sub




    Private Sub TabControl1_SelectedIndexChanged(sender As System.Object, e As System.EventArgs) Handles TabControl1.SelectedIndexChanged

        Select Case TabControl1.SelectedIndex

            Case 0
                LoadActiveReports()
            Case 1
                LoadC1Reports()
        End Select

    End Sub
End Class
